Arvados - Bug #13674

[crunch-dispatch-slurm] Use hash instead of array for InstanceTypes config
06/21/2018 02:07 PM - Tom Clegg

Status: Resolved Start date:

Priority: Normal Due date:

Assigned To: Tom Clegg % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 2018-07-03 Sprint

Description

Catch up with change to Cluster configuration.

A hash is more ops-friendly (notably it accommodates storing the whole config natively in consul's kv store using keys like
"InstanceTypes/m1.large/price") and aligns with the existing Nodemanager config format. It also makes it more obvious that the
instance type name has to be unique.

During a transition period programs that read the cluster config file should accommodate both array and hash forms, so ops can
migrate their config files without stopping the world.

Related issues:

Related to Arvados - Story #13648: [Epic] Use one cluster configuration file ... Resolved
Blocks Arvados - Feature #13611: Nodemanager reads instance sizes from the sy... Closed
History

#1 - 06/21/2018 02:07 PM - Tom Clegg

- Related to Story #13648: [Epic] Use one cluster configuration file for all components added

#2 - 06/21/2018 02:08 PM - Tom Clegg

- Description updated

#3 - 06/22/2018 06:26 PM - Tom Clegg
- Status changed from New to In Progress

- Target version set to 2018-07-03 Sprint

13674-instance-types-hash @ 3ad42202c5e073c5b90383c8aa1075e8056ff1d9

e changes config from array to hash
e Go progs can still read config file that uses array form

#4 - 06/22/2018 06:27 PM - Tom Clegg

- Related to Feature #13611: Nodemanager reads instance sizes from the system config file to avoid duplication added

#5 - 06/26/2018 08:12 PM - Tom Clegg

- Related to deleted (Feature #13611: Nodemanager reads instance sizes from the system config file to avoid duplication)

#6 - 06/26/2018 08:12 PM - Tom Clegg

- Blocks Feature #13611: Nodemanager reads instance sizes from the system config file to avoid duplication added

#7 - 07/02/2018 03:26 PM - Tom Clegg
- Status changed from In Progress to Resolved

- Assigned To set to Tom Clegg

#8 - 07/23/2018 06:52 PM - Tom Morris

- Release setto 13
